module.exports = {
  create: {
    requestBody: ['customer', 'shop', 'goods', 'buy_num', 'buy_time', 'no', 'address', 'transport', 'remarks', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['customer', 'shop', 'goods', 'buy_num', 'buy_time', 'no', 'address', 'transport', 'remarks', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        customer: 'customer',
        shop: 'shop',
        goods: '%goods.name%',
        no: 'no',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  checkCanBuy: {
    requestBody: ['!shop', '!goods', '!num'],
  },
  toMakeOrder: {
    requestBody: ['!key'],
  },
  sot: {
    params: ['!id'],
    service: 'searchOrderTransport',
  },
};
