'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

const MoneyPlugin = require('naf-framework-mongoose-free/lib/model/type-money-plugin');

// 尊荣商品
const zrGoods = {
  shop: { type: String, required: false, zh: '店铺', ref: 'Base.Shop' }, //
  name: { type: String, required: false, zh: '商品名称' }, //
  num: { type: Number, required: false, zh: '库存' }, //
  shot_brief: { type: String, required: false, zh: '简短简介' }, //
  send_time: { type: String, required: false, zh: '发货时间' }, //
  brief: { type: String, required: false, zh: '商品介绍' }, //
  file: { type: Array, required: false, zh: '商品图片' }, //
  view_num: { type: String, required: false, zh: '浏览量' }, //
  sell_num: { type: String, required: false, zh: '销量' }, //
  status: { type: String, required: false, zh: '商品状态' }, //
  sort: { type: Number, required: false, zh: '排序' }, //
};
const schema = new Schema(zrGoods, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ shop: 1 });
schema.index({ name: 1 });
schema.index({ view_num: 1 });
schema.index({ sell_num: 1 });
schema.index({ status: 1 });
schema.index({ sort: 1 });

schema.plugin(metaPlugin);
schema.plugin(MoneyPlugin({ zh: '消耗尊荣', required: false, key: 'cost' }));

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('ZrGoods', schema, 'zrGoods');
};
