'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 订单
const zrOrder = {
  customer: { type: String, required: false, zh: '顾客', ref: 'Base.User' }, //
  shop: { type: String, required: false, zh: '店铺', ref: 'Base.Shop' }, //
  goods: { type: Object, required: false, zh: '商品' }, // 快照
  buy_num: { type: Number, required: false, zh: '购买数量' }, //
  buy_time: { type: String, required: false, zh: '购买时间' }, //
  no: { type: String, required: false, zh: '订单号' }, //
  address: { type: Object, required: false, zh: '地址' }, // 快照
  transport: { type: Object, required: false, zh: '快递信息' }, //
  remarks: { type: String, required: false, zh: '备注' }, //
  status: { type: String, required: false, default: '0', zh: '订单状态' }, //
};
const schema = new Schema(zrOrder, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ customer: 1 });
schema.index({ shop: 1 });
schema.index({ goods: 1 });
schema.index({ no: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('ZrOrder', schema, 'zrOrder');
};
